Bug 991525 - [RFE] provide a rollback tool
[RFE] provide a rollback tool
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: RFEs (Show other bugs)
3.2.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Scott Herold
yeylon@redhat.com
integration
: FutureFeature
Depends On:
Blocks: 902971
  Show dependency treegraph
 
Reported: 2013-08-02 12:20 EDT by Lee Yarwood
Modified: 2016-04-18 02:55 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-11 07:55:04 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
sherold: Triaged+


Attachments (Terms of Use)

  None (edit)
Description Lee Yarwood 2013-08-02 12:20:05 EDT
1. Proposed title of this feature request
provide a rollback tool

2. Who is the customer behind the request?
GSS

3. What is the nature and description of the request?

At present we ship -upgrade tools that contain logic to rollback the engine to a previous version when any errors are encountered. 

If possible a standalone tool to allow users to manually rollback would be beneficial in the following ways :

- Customers can rollback if regressions are encountered after upgrading to a new version.
- Customers can rollback after installing a test package or hotfix from GSS.

4. Why does the customer need this? (List the business requirements here)

This tool would simplify the process when / if users encounter regressions with a release or issues with a GSS build. At present the only workaround for this is for a build with a higher NVR to be passed to the customer.

5. How would the customer like to achieve this? (List the functional requirements here)

Provide a standalone rollback tool.

6. For each functional requirement listed, specify how Red Hat and the customer can test to confirm the requirement is successfully implemented.

The rollback tool should act much the same as the upgrade tool, taking backups and returning the system to the starting configuration if any issues are encountered.

7. Is there already an existing RFE upstream or in Red Hat Bugzilla?

No.

8. Does the customer have any specific timeline dependencies and which release would they like to target (i.e. RHEL5, RHEL6)?

RHEV 3.4/4.0

9. Is the sales team involved in this request and do they have any additional input?

N/A

10. List any affected packages or components.
rhevm-setup

11. Would the customer be able to assist in testing this functionality if implemented?
Yes, GSS can help with the testing of this feature.

Note You need to log in before you can comment on or make changes to this bug.